Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Class RoleMapperImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.authorization.RoleMapperImpl

Direct Known Subclasses:
  DeployableRoleMapperImpl

    public class RoleMapperImpl

extends ProviderImpl

The base class of all Role Mapping MBean implementations. It extends the Role Mapping provider MBean implementation and gives the Role Mapper's MBean implementation access to its configuration attributes.

Constructor Summary
`` | `RoleMapperImpl(ModelMBean base)` Constructor for the RoleMapperImpl object
`protected` | `RoleMapperImpl(RequiredModelMBean base)`

Method Summary

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleMapperImpl

    public RoleMapperImpl(ModelMBean base)
                   throws MBeanException

  Constructor for the RoleMapperImpl object

  Parameters:
    `base` - Description of the Parameter
  Throws:
    `MBeanException` - Description of the Exception

### RoleMapperImpl

    protected RoleMapperImpl(RequiredModelMBean base)
                      throws MBeanException

Throws:
  `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD